Upload Open Cap Table

Scope(s): readwrite_opencaptables

Upload an Open Cap Table Format (OCF) package in binary format to be processed.

If the OCF package is successfully uploaded, the OpenCapTablesService will begin processing the data with the goal of onboarding the Issuer and its related data on to the Carta platform.

Supplying an OCF package to this endpoint will result in the creation of an Open Cap Table record to track the progress of processing the data from the OCF package. This record will be returned in the case of a successful response. This record can also be queried via the GetCapTable endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The raw HTTP body.

Message that represents an arbitrary HTTP body. It should only be used for
payload formats that can't be represented as JSON, such as raw binary or
an HTML page.

This message can be used both in streaming and non-streaming API methods in
the request as well as the response.

It can be used as a top-level request field, which is convenient if one
wants to extract parameters from either the URL or HTTP template into the
request fields and also want access to the raw HTTP body.

Example:

message GetResourceRequest \{
  // A unique request id.
  string request_id = 1;

  // The raw HTTP body is bound to this field.
  google.api.HttpBody http_body = 2;

\}

service ResourceService \{
  rpc GetResource(GetResourceRequest)
    returns (google.api.HttpBody);
  rpc UpdateResource(google.api.HttpBody)
    returns (google.protobuf.Empty);

\}

Example with streaming methods:

service CaldavService \{
  rpc GetCalendar(stream google.api.HttpBody)
    returns (stream google.api.HttpBody);
  rpc UpdateCalendar(stream google.api.HttpBody)
    returns (stream google.api.HttpBody);

\}

Use of this type only changes how the request and response bodies are
handled, all other features will continue to work unchanged.

string

The HTTP Content-Type header value specifying the content type of the body.

string

The HTTP request/response body as raw binary.

extensions
array of objects

Application specific response metadata. Must be set in the first response
for streaming APIs.

extensions
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json